#ifndef PW_GEOMETRY_PRIMITIVES_HPP
#define PW_GEOMETRY_PRIMITIVES_HPP

#include <pw/core/mesh.hpp>

namespace pw {

	struct primitives {

		static mesh box(real_t size_x, real_t size_y, real_t size_z);

		static mesh sphere(real_t radius,int divisions_latitude,int divisions_longitude);

		static mesh cone();

		static mesh pyramid();
	};

};

#endif
