
#include "pw/scene/component.hpp"

#include <pw/core/vector.hpp>
#include <pw/core/quaternion.hpp>
#include "pw/scene/node.hpp"

#include <string>

#include <iostream>

namespace pw {

component::component()
	: _node(nullptr)
{
}

component::component(const component &other)
	: _node(other._node)
{
}

component::~component()
{
//    if (_node != nullptr) _node->unregister_component(this);
}

bool component::enabled() const
{
	return _enabled;
}

void component::set_enabled(bool enabled)
{
	_enabled = enabled;
}

uint32_t component::weight() const
{
	return _weight;
}

void component::set_weight(const uint32_t &weight)
{
	_weight = weight;
}



//class trs : public transform {

//    vector3d _position;
//    vector3d _scale;
//    quaterniond _rotation;
//};


}
